%define gst_branch 0.10

Name:           gstreamer-0_10-plugins-ffmpeg
Version:        0.10.13
Release:        2000.12
Summary:        GStreamer Streaming-Media FFmpeg Plug-In
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-%{version}.tar.bz2
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-0.10) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-audio-0.10) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-base-0.10) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-pbutils-0.10) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-video-0.10) >= 0.10.31
BuildRequires:  libffmpeg_oldabi-devel
#BuildRequires:  pkgconfig(libavcodec)
#BuildRequires:  pkgconfig(libavformat)
#BuildRequires:  pkgconfig(libavutil)
#BuildRequires:  pkgconfig(libpostproc)
#BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(orc-0.4) >= 0.4.6
Enhances:       gstreamer-%{gst_branch}
# gstreamer-0_10-ffmpeg was last used in openSUSE 12.1
Provides:       gstreamer-0_10-ffmpeg = %{version}-%{release}
Obsoletes:      gstreamer-0_10-ffmpeg < %{version}-%{release}

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most popular
multimedia formats.

%prep
%setup -q -n gst-ffmpeg-%{version}

%build
%configure --with-package-name='Packman gstreamer-ffmpeg package' \
           --with-package-origin='http://packman.links2linux.org/' \
           --with-system-ffmpeg
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%files
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING README
%{_libdir}/gstreamer-%{gst_branch}/

%changelog
* Fri May  4 2012 reddwarf@opensuse.org
- Build againt teh system ffmpeg
- General cleanup
* Mon Feb 27 2012 zaitor@opensuse.org
- Update to version 0.10.13:
  + Use libav 0.7.2 internal branch for security fixes.
  + Fixes for handling FLAC.
  + Post QoS messages when dropping.
  + Properly report GPL or LGPL licensing.
- Bugs fixed since 0.10.12:
  + bgo#566605, bgo#574661, bgo#608892, bgo#532779, bgo#589361,
    bgo#640012, bgo#643591, bgo#651768, bgo#654634, bgo#656155,
    bgo#656328, bgo#657950, bgo#658019.
- Update to version 0.10.12:
  + Bump to LibAV 0.7.
  + Timestamp tracking fixes.
  + New codecs.
  + Multi-threaded decoding.
- Bugs fixed since 0.10.11:
  + bgo#595590, bgo#611500, bgo#613901, bgo#629648, bgo#631075,
    bgo#632691, bgo#632877, bgo#639681, bgo#639993, bgo#642015,
    bgo#642507, bgo#646838, bgo#648816, bgo#649297, bgo#649372,
    bgo#650596, bgo#650695, bgo#651447, bgo#651625, bgo#651714,
    bgo#652812, bgo#653648, bgo#653649, bgo#653717.
- Drop  gst-ffmpeg-uninited.patch and
  gstreamer010-ffmpeg-no-return-in-nonvoid-function.patch, fixed
  upstream.
- Added new BuildRequires: yasm.
- Added a proper .changes file, and moved changelog entrys to it.
* Mon Aug  2 2010 Toni Graffy <toni@links2linux.de>
- update to 0.10.11 "Feeding trolls is strictly forbidden"
  * Synced to FFmpeg 0.6 branch
  * Add mappings for all new codecs
  * encoders: proxy downstream width/height/framerate
  * encoders: Fix timestamps
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
* Mon Mar  8 2010 Toni Graffy <toni@links2linux.de>
- update to 0.10.10 "It's the bomb"
  * Update to revision 21874 of ffmpeg (Feb 18th 2010)
  * Various fixes for encoders
  * Faster plugin/element creation
  * Fix duration of out-of-order buffers
* Fri Nov 20 2009 Toni Graffy <toni@links2linux.de>
- rebuild with internal ffmpeg
* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de>
- update to 0.10.9 "Shooting the moon"
  * Update FFmpeg snapshot to SVN 19580 on the 0.5 branch
  * Improve tag passing
  * Track timestamps and frame delay for improved timestamping
  * Support 4khz ADPCM and g.721
* Sat Mar 21 2009 Toni Graffy <toni@links2linux.de>
- update to 0.10.7
- build and linked with packman ffmpeg-packages
  * Update to ffmpeg 0.5 release
  * Support channel layouts for multichannel audio
  * Add mappings for new codecs: Real Video 3.0, EAC3, QCELP, IMC,
    MLP and more
  * Support push-based demuxers
  * Expose preload and maxdelay muxer properties
* Fri Nov 28 2008 Toni Graffy <toni@links2linux.de>
- update to 0.10.6
- Bugs fixed in this release
  * 350738 : [ffvideoscale] GStreamer-Critical when
    pixel-aspects-rati...
  * 504056 : [ffvideoscale] Switch to using libswscale
  * 542216 : cross compilation and mingw32 support
  * 548304 : missing check for bz2 library and header
  * 551046 : gst-ffmpeg configure complains about libz2, should be
    libbz2
  * 556336 : [PATCH] gstffmpegdec.c: prefer demuxer's pixel aspect
    rat...
  * 556405 : gst-ffmpeg fails to build against 20081014 ffmpeg
    snapshot
  * 560137 : Two build fixes for using system ffmpeg
  * 560305 : x264enc & ffmux_* doesnt link
* Wed Sep  3 2008 Toni Graffy <toni@links2linux.de>
- update to 0.10.5
- Bugfixes for:
  * 371939  : mov/mp4/m4a/3gp/3g2 muxers create wrong durations
  * 383420 : [ffmpeg] ISO-derivative muxers don't handle audio
    correctly
  * 518705 : Can't play streams from Rai.it
  * 533708 : broken mpeg-ts typefinding?
  * 534371 : autogen.sh not dist'ed
  * 534390 : Patch: use av_picture_copy instead of swscale to copy
    pic...
  * 534392 : PATCH: never use ffdec_faad
  * 534783 : Remove FLV demuxer
  * 540401 : Garbled sound instead of music
  * 549799 : all audio codecs claim to support up to 6 channels
* Thu May 22 2008 Toni Graffy <toni@links2linux.de>
- update to 0.10.4
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de>
- changed package layout similar to openSuSE-11.0
* Thu Dec  6 2007 Toni Graffy <toni@links2linux.de>
- update to 0.10.3
* Fri Sep  7 2007 Toni Graffy <toni@links2linux.de>
- openSUSE-10.3 build: _prefix=/usr
* Thu Dec 14 2006 Toni Graffy <toni@links2linux.de>
- update to 0.10.2
- removed gst-ffmpeg-no-return.patch
- added subpackage doc
* Fri Dec  8 2006 Toni Graffy <toni@links2linux.de>
- rebuild with new gstreamer010
* Sat Nov 25 2006 Toni Graffy <toni@links2linux.de>
- build for packman
- spec-file based on SuSE-spec Mon Jun 26 2006 - sbrabec@suse.cz
